import { shopeeSetting } from '@/plugins/setting';

export const state = () => {
  return {
    listCampaign: [],
    listFlashsale: {
      scheduler: [],
      save: [],
      current: [],
      next: [],
      end: [],
    },
    schedulerJob: {
      auto: shopeeSetting.shopeeFlashsaleSchedulerAuto.get(),
      log: '',
      running: false,
    },
    campaignJob: {
      auto: shopeeSetting.shopeeFlashsaleCampaignAuto.get(),
      log: '',
      running: false,
    },
  };
};
